// modified my fred55
//+------------------------------------------------------------------+
//|                                                     RSI_LiDo.mq4 |
//|                      Copyright  2004, MetaQuotes Software Corp. |
//|                                       http://www.metaquotes.net/ |
//| original "RSI_dot" concept by Accrete, and nicely tweaked by     |
//| telsa of ForexFactory fame !! Many thanks telsa...Accrete        |
//|                                                                  |
//| Tweaked by Bluto 06/23/07 to work with Super RSI                 |
//+------------------------------------------------------------------+
#property copyright "Copyright  2004, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net/"

#property indicator_separate_window
#property indicator_minimum 0
#property indicator_maximum 100

#property indicator_buffers 3
#property indicator_color1 DodgerBlue
#property indicator_color2 Lime
#property indicator_color3 Red
//#property indicator_level1 70
//#property indicator_level2 30
//#property indicator_level3 35
//#property indicator_level4 25



//---- input parameters
extern int RSIPeriod = 4;
extern ENUM_APPLIED_PRICE price = PRICE_MEDIAN;
extern double Overbought = 90;
extern double Oversold   = 10;


//---- buffers
double dRsiLine[];
double dRsiDots[];
double dRsiDotsSignal[];

int init() {

//   IndicatorSetInteger(INDICATOR_LEVELS,2); 
//   IndicatorSetDouble(INDICATOR_LEVELVALUE,0,Oversold); 
//   IndicatorSetDouble(INDICATOR_LEVELVALUE,1,Overbought); 

   IndicatorShortName("RSI LiDo (" + RSIPeriod + ")");
   
   SetIndexBuffer(0,dRsiLine);
   SetIndexStyle (0,DRAW_LINE);
   SetIndexLabel (0,"RSI");
   
   SetIndexBuffer(1,dRsiDots);
   SetIndexStyle (1,DRAW_ARROW,EMPTY,1);
   SetIndexArrow (1,159);
   SetIndexLabel (1,"RSI");

   SetIndexBuffer(2,dRsiDotsSignal);
   SetIndexStyle (2,DRAW_ARROW,EMPTY,3);
   SetIndexArrow (2,159);
   SetIndexLabel (2,"RSI OSOB");
   
   return 0;
}

int start() {
   // Determine how far back to iterate
   int iBarsToCalc = Bars - IndicatorCounted();
   if (iBarsToCalc < Bars) iBarsToCalc++;
   
   for (int i=iBarsToCalc-1;i>=0;i--) {
      dRsiLine[i] = iRSI(NULL,0,RSIPeriod,price,i);
      dRsiDots[i] = dRsiLine[i];
      dRsiDotsSignal[i] = EMPTY_VALUE;
      if (dRsiLine[i]>Overbought) dRsiDotsSignal[i] = dRsiLine[i];
      if (dRsiLine[i]<Oversold)   dRsiDotsSignal[i] = dRsiLine[i];
   }
   
   return 0;
}

